GroupDuplicateNameException (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.grouping.shared.GroupDuplicateNameException class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.grouping.shared
Class GroupDuplicateNameException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.hyperic.util.NestedException
                  org.hyperic.hq.common.ApplicationException
                      org.hyperic.hq.common.DuplicateObjectException
                          org.hyperic.hq.grouping.shared.GroupDuplicateNameException

All Implemented Interfaces:
  java.io.Serializable

    public class GroupDuplicateNameException

extends DuplicateObjectException

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.util.NestedException
`_exception`

Constructor Summary
`GroupDuplicateNameException()`
`GroupDuplicateNameException(java.lang.Exception e)`
`GroupDuplicateNameException(java.lang.String s)`
`GroupDuplicateNameException(java.lang.String s, java.lang.Throwable t)`
`GroupDuplicateNameException(java.lang.Throwable t)`

Method Summary

Methods inherited from class org.hyperic.hq.common.DuplicateObjectException
`getExistingObject`

Methods inherited from class org.hyperic.util.NestedException
`addException, getExceptionOfType`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GroupDuplicateNameException

    public GroupDuplicateNameException()

### GroupDuplicateNameException

    public GroupDuplicateNameException(java.lang.String s)

### GroupDuplicateNameException

    public GroupDuplicateNameException(java.lang.Exception e)

### GroupDuplicateNameException

    public GroupDuplicateNameException(java.lang.Throwable t)

### GroupDuplicateNameException

    public GroupDuplicateNameException(java.lang.String s,
                                       java.lang.Throwable t)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.